﻿@page "/log"
@using VacationSchedule.Core.Models.DB;
@inject HttpClient Http

<PageTitle>Логи</PageTitle>

<h1>Логи</h1>

@if (logs == null)
{
    <p><em>Loading...</em></p>
}
else
{
    <table class="table">
        <thead>
            <tr>
                <th>Время</th>
                <th>Сообщение</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var log in logs)
            {
                <tr>
                    <td>@log.LogDateTime</td>
                    <td>@log.LogMessage</td>
                </tr>
            }
        </tbody>
    </table>
}

@code {
    private Log[] logs;

    protected override async Task OnInitializedAsync()
    {
        logs = await Http.GetFromJsonAsync<Log[]>("api/Log");
    }
}
